import { request } from '@umijs/max';

/**
     * 告警日志
     * @param parms 
     * @returns 
     */
const alarmlogApi = {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: alarmlog.addInput) {
        return request('/api/alarmlog/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: alarmlog.delInput) {
        return request(`/api/alarmlog/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: alarmlog.updateInput) {
        return request('/api/alarmlog/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/alarmlog/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List(parms: alarmlog.queryParms) {
        return request('/api/alarmlog/list', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: alarmlog.queryPage) {
        return request('/api/alarmlog/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },

}
/**
     * 系统日志
     * @param parms 
     * @returns 
     */
const programlogApi = {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: programlog.addInput) {
        return request('/api/programlog/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: programlog.delInput) {
        return request(`/api/programlog/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: programlog.updateInput) {
        return request('/api/programlog/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/programlog/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List(parms: programlog.queryParms) {
        return request('/api/programlog/list', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: programlog.queryPage) {
        return request('/api/programlog/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },

}

/**
 * 操作日志
 * @param parms 
 * @returns 
 */
const userlogApi = {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: userlog.addInput) {
        return request('/api/userlog/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: userlog.delInput) {
        return request(`/api/userlog/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: userlog.updateInput) {
        return request('/api/userlog/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/userlog/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List(parms: userlog.queryParms) {
        return request('/api/userlog/list', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: userlog.queryPage) {
        return request('/api/userlog/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },

}
/**
    * 运行日志
    * @param parms 
    * @returns 
    */
const runlogApi = {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: runlog.addInput) {
        return request('/api/runlog/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: runlog.delInput) {
        return request(`/api/runlog/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: runlog.updateInput) {
        return request('/api/runlog/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/runlog/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List(parms: runlog.queryParms) {
        return request('/api/runlog/list', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: runlog.queryPage) {
        return request('/api/runlog/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },

}


export { alarmlogApi, programlogApi, runlogApi, userlogApi }